#include "TFile.h"
#include "TH1.h"
#include "TCanvas.h"
#include "TLegend.h"
#include "THStack.h"
#include "TF1.h"
#include "TString.h"
#include <iostream>
#include <fstream>
#include <math.h>

using std::cout;
using std::endl;

void decorate(TH1*h,const char* xtitle, const char* ytitle, const char* title,
	      int linecolor, int linewidth, int markercolor, int markerstyle, int tofill);
void decorate(TLegend *g, float textSize, TString legendheader);

void showHist()
{
  TString icat[4] = {"A9","A10","A11","A12"};
  TString ivar = "LTMET";
  //ivar options are LT, LTMET, ST, HT, MET
  
  TFile *hfile = new TFile("hst_ppWZ.root");

  TH1F *h[4];
  for(int i=0; i<4; i++){
    TString plotname = ivar+"_"+icat[i];
    h[i] = (TH1F*)hfile->Get(plotname);
    decorate(h[i],ivar,"Entries",icat[i],kRed,3,kRed,20,1);
  }

  TCanvas *c1 = new TCanvas("c1","c1",900,900);
  c1->Divide(2,2);
  for(int i=0; i<4; i++){
    c1->cd(i+1); h[i]->Draw("hist"); h[i]->SetStats(1);
  }
  TString opname = "WZ_"+ivar+".png";
  c1->Print(opname);
  
}
void decorate(TH1*h ,const char* xtitle, const char* ytitle, const char* title,
	      int linecolor, int linewidth, int markercolor, int markerstyle, int tofill) {
  
  
  h->GetXaxis()->SetTitle(xtitle);
  h->GetYaxis()->SetTitle(ytitle);
  h->GetXaxis()->SetNdivisions(505);
  h->SetLineColor(linecolor);
  h->SetLineWidth(linewidth);
  h->SetMarkerColor(markercolor);
  h->SetMarkerStyle(markerstyle);
  if(tofill==1){
    h->SetFillColor(markercolor);
    h->SetFillStyle(3003);
  }
  h->SetMarkerSize(0);
  h->SetTitle(title);
  h->SetStats(0);

}

void decorate(TLegend *g, float textSize, TString legendheader)
{
  g->SetTextSize(textSize);
  g->SetFillStyle(1);
  g->SetFillColor(10);
  g->SetBorderSize(1);
  g->SetLineColor(10);
}
